MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028962Open CASCADE[OCCT] OCCT:Configurationpublic2017-07-31 09:192017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028962: Configuration, genproj.bat - add /LARGEADDRESSAWARE option to 32-bit target executables
DescriptionIt is proposed adding a linker option /LARGEADDRESAWARE to DRAW executable generated by genproj to allow testing of memory-hungry procedures in 32-bit DRAW.

...

There is a handy system-wide switch in Windows for testing purposes use the MEM_TOP_DOWN registry setting.
This forces all memory allocations to go from the top down, instead of the normal bottom up:
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management]
"AllocationPreference"=dword:00100000
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0068876)
git (administrator)
2017-07-31 09:22

Branch CR28962 has been created by kgv.

SHA-1: faffe2ed3e25946d472f965874f74125f7763912


Detailed log of new commits:

Author: aml
Date: Wed Jun 14 08:07:26 2017 +0300

    0028962: Configuration, genproj.bat - add /LARGEADDRESSAWARE option to 32-bit target executables
(0068877)
git (administrator)
2017-07-31 09:24

Branch CR28962 has been updated forcibly by kgv.

SHA-1: 5fa9a22f8fdb621b937fba430e586ee972b2852b
(0069645)
git (administrator)
2017-08-18 17:00

Branch CR28962 has been deleted by kgv.

SHA-1: 5fa9a22f8fdb621b937fba430e586ee972b2852b

- Related Changesets
occt: master c5b39011
Timestamp: 2017-07-31 06:23:49
Author: abv
Committer: bugmaster
Details ] Diff ]
0028962: Configuration, genproj.bat - add /LARGEADDRESSAWARE option to 32-bit target executables
mod - adm/templates/template.vc10x Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-31 09:19 kgv New Issue
2017-07-31 09:19 kgv Assigned To => abv
2017-07-31 09:19 kgv Assigned To abv => kgv
2017-07-31 09:19 kgv Status new => assigned
2017-07-31 09:22 git Note Added: 0068876
2017-07-31 09:24 git Note Added: 0068877
2017-08-03 17:31 bugmaster Changeset attached => occt master c5b39011
2017-08-03 17:31 bugmaster Assigned To kgv => bugmaster
2017-08-03 17:31 bugmaster Status assigned => verified
2017-08-03 17:31 bugmaster Resolution open => fixed
2017-08-18 13:10 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069645
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker